Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: (gelöst) dpkg-deb fehler mit connman (1.41-1)  (Read 583 times)

Online michaa7

  • User
  • Posts: 2.193
(gelöst) dpkg-deb fehler mit connman (1.41-1)
« on: 2022/04/12, 09:46:13 »
dist-upgrade schlägt fehl wg. Fehler im Paket connman:

Quote
Changelogs werden gelesen... Fertig
(Lese Datenbank ... 468093 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../connman_1.41-1_amd64.deb ...
Entpacken von connman (1.41-1) über (1.38~131-g2347aded-1) ...
dpkg: Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/connman_1.41-1_amd64.deb (--unpack):
 Versuch, »/etc/apport/crashdb.conf.d/connman-crashdb.conf« zu überschreiben, welches auch in Paket connman-iptables 1.38~131-g2347aded-1 ist
dpkg-deb: Fehler: »einfügen«-Unterprozess wurde durch Signal (Datenübergabe unterbrochen (broken pipe)) getötet



EN:
Dist-upgrade fails due to error in package connman: see above.
« Last Edit: 2022/04/13, 13:04:49 by michaa7 »
Ok, you can't code, but you still might be able to write a bug report for Debian's sake

Offline axt

  • User
  • Posts: 483
    • axebase.net
Re: dpkg-deb fehler mit connman (1.41-1)
« Reply #1 on: 2022/04/12, 13:07:34 »
Geht's nur um's Kundtun oder einen Workaround?

Code: [Select]
# mv /etc/apport/crashdb.conf.d/connman-crashdb.conf{,_bak}
Die unterschiedlichen Versionen 1.41 und 1.38 deuten jetzt auch nicht darauf hin, daß da alles schon fertig ist.

connman-iptables liegt nicht in Debian-Repositories, connman* mit 1.38~131-g2347aded-1 sind offenbar in siduction 21.1.1 enthaltene Pakete. Aus debian sid hast Du nun die neuere connman 1.41 bekommen.
« Last Edit: 2022/04/12, 13:32:46 by axt »

Offline samoht

  • User
  • Posts: 427
Re: dpkg-deb fehler mit connman (1.41-1)
« Reply #2 on: 2022/04/12, 13:31:30 »
Quote
... Liegt nicht in Debian-Repositories. Du hast mit antiX o.a. herumgemixt.

Hallo, wie kommst Du darauf?

Code: [Select]
# apt show connman-iptables
Package: connman-iptables
Version: 1.38~131-g2347aded-1
...
APT-Sources: http://packages.siduction.org/extra unstable/main amd64 Packages

Offline axt

  • User
  • Posts: 483
    • axebase.net
Re: dpkg-deb fehler mit connman (1.41-1)
« Reply #3 on: 2022/04/12, 13:35:35 »
@samoht, ich bin ja schon ein Stück weiter. In Debian-Repos liegt connman-iptables nicht, in antiX schon. Aber der Zusatz hat mich noch gestört (und in antiX sind sie auch schon bei 1.40).

Online michaa7

  • User
  • Posts: 2.193
Re: dpkg-deb fehler mit connman (1.41-1)
« Reply #4 on: 2022/04/12, 14:32:42 »
Quote
# apt policy connman-iptables
connman-iptables:
  Installiert:           1.38~131-g2347aded-1
  Installationskandidat: 1.38~131-g2347aded-1
  Versionstabelle:
 *** 1.38~131-g2347aded-1 500
        500 http://neutower:3142/ftp.halifax.rwth-aachen.de/siduction/extra unstable/main amd64 Packages
        100 /var/lib/dpkg/status

Und bei mir war und ist nichts gemixt.
Ok, you can't code, but you still might be able to write a bug report for Debian's sake

Offline axt

  • User
  • Posts: 483
    • axebase.net
Re: dpkg-deb fehler mit connman (1.41-1)
« Reply #5 on: 2022/04/12, 15:23:44 »
@michaa7, daß ich das längst geändert habe, hast du gesehen? Woran es liegt, hast Du verstanden?

Und genaugenommen ist es (jetzt) ein Mix (aus sid, das connman-iptables nicht enthält, und dem siduction-extra-Repo), einer, für den Du nichts kannst.

Offline Camelot

  • User
  • Posts: 58
Re: dpkg-deb fehler mit connman (1.41-1)
« Reply #6 on: 2022/04/13, 12:27:15 »
Quote from: michaa7
Code: [Select]
# apt policy connman-iptables
connman-iptables:
  Installiert:           1.38~131-g2347aded-1
  Installationskandidat: 1.38~131-g2347aded-1
  Versionstabelle:
 *** 1.38~131-g2347aded-1 500
        500 http://neutower:3142/ftp.halifax.rwth-aachen.de/siduction/extra unstable/main amd64 Packages
        100 /var/lib/dpkg/status

@michaa7, unabhängig davon, schaue mit apt-cache policy nach, welcher Pfad für aachen.de in /etc/apt/sources.list.d/fixes.list eingetragen ist, der korrekte Eintrag sollte folgendermaßen sein:

Code: [Select]
$ apt-cache policy
Paketdateien:
 100 /var/lib/dpkg/status
(…)
 500 https://ftp.halifax.rwth-aachen.de/siduction/extra unstable/main amd64 Packages
(…)

Es stellt sich aber die Frage auf, ob das Paket connman-iptables überhaupt benötigt wird?
Code: [Select]
$ apt-cache depends connman
connman
  Hängt ab von (vorher): init-system-helpers
  Hängt ab von: libc6
  Hängt ab von: libdbus-1-3
  Hängt ab von: libglib2.0-0
  Hängt ab von: libgnutls30
  Hängt ab von: libreadline8
  Hängt ab von: libxtables12
  Hängt ab von: dbus
    dbus:i386
  Hängt ab von: lsb-base
  Hängt ab von: iptables
    iptables:i386
  Empfiehlt: bluez
    bluez:i386
 |Empfiehlt: wpasupplicant
    wpasupplicant:i386
  Empfiehlt: iwd
  Empfiehlt: ofono
  Schlägt vor: connman-vpn

Online michaa7

  • User
  • Posts: 2.193
Re: dpkg-deb fehler mit connman (1.41-1)
« Reply #7 on: 2022/04/13, 12:39:18 »
...
@michaa7, unabhängig davon, schaue mit apt-cache policy nach, welcher Pfad für aachen.de in /etc/apt/sources.list.d/fixes.list eingetragen ist, der korrekte Eintrag sollte folgendermaßen sein:
...

Jain.
Ich verwende apt-cacher-ng im LAN. Daher sind die quellen dorthin umgebogen. Das stimmt schon so.

Es stellt sich aber die Frage auf, ob das Paket connman-iptables überhaupt benötigt wird?
...

Ja, das hatte ich mir auch schon überlegt. Und so wie es ausschaut hast du da recht. Ich hatte da bislang nicht dran herumgespielt weil ich befürchtete mein Netzwerk zu zerkonfigurieren .... ;-) Ma schaun ...
Ok, you can't code, but you still might be able to write a bug report for Debian's sake